Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.locpath
Class PredPos

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.xpath.locpath.Pred
              org.basex.query.xpath.locpath.PredPos

    public final class PredPos

extends Pred

Position predicate.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Constructor Summary
`PredPos(int mn, int mx)` Constructor.

Method Summary
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`boolean` | `sameAs(Pred pred)` Compares the predicate for equality.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xpath.locpath.Pred
`color`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PredPos

    public PredPos(int mn,
                   int mx)

  Constructor.

  Parameters:
    `mn` - minimum value
    `mx` - maximum value

Method Detail

### sameAs

    public boolean sameAs(Pred pred)

  Description copied from class: `Pred`
  Compares the predicate for equality.

  Parameters:
    `pred` - predicate to be compared
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Specified by:
    `plan` in class `ExprInfo`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD